ghc-mod-5.6.0.0: Happy Haskell Programming

Safe Haskell | None
Language | Haskell2010

Language.Haskell.GhcMod.Monad.Out

# Documentation

class Monad m => GmOut m where #

Minimal complete definition

gmoAsk

Methods

gmoAsk :: m GhcModOut #

Instances

GmOut m => GmOut (MaybeT m) # |
Methods gmoAsk :: MaybeT m GhcModOut #
Monad m => GmOut (GmlT m) # |
Methods gmoAsk :: GmlT m GhcModOut #
GmOut m => GmOut (GmT m) # |
Methods gmoAsk :: GmT m GhcModOut #
Monad m => GmOut (GmOutT m) # |
Methods gmoAsk :: GmOutT m GhcModOut #
GmOut m => GmOut (JournalT w m) # |
Methods gmoAsk :: JournalT w m GhcModOut #
GmOut m => GmOut (StateT s m) # |
Methods gmoAsk :: StateT s m GhcModOut #